Module org.hsqldb
Package org.hsqldb.jdbc

## Class JDBCUtil

- java.lang.Object
- - org.hsqldb.jdbc.JDBCUtil

-     public final class JDBCUtil
      extends java.lang.Object

  Provides driver constants and a gateway from internal HsqlExceptions to external SQLExceptions.
  Since:
    1.7.2
  Author:
    Campbell Burnet (campbell-burnet@users dot sourceforge.net), Fred Toussi (fredt@users dot sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JDBCUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.sql.SQLException` | `connectionClosedException()` |
    `static java.sql.SQLException` | `invalidArgument()` |
    `static java.sql.SQLException` | `invalidArgument​(int id)` |
    `static java.sql.SQLException` | `invalidArgument​(java.lang.String name)` |
    `static java.sql.SQLException` | `nullArgument()` |
    `static java.sql.SQLException` | `outOfRangeArgument()` |
    `static java.sql.SQLException` | `outOfRangeArgument​(java.lang.String name)` |
    `static java.sql.SQLException` | `sqlException​(int id)` |
    `static java.sql.SQLException` | `sqlException​(int id, int add)` |
    `static java.sql.SQLException` | `sqlException​(int id, java.lang.String message)` |
    `static java.sql.SQLException` | `sqlException​(int id, java.lang.String message, java.lang.Throwable cause)` |
    `static java.sql.SQLException` | `sqlException​(java.lang.String msg, java.lang.String sqlstate, int code, java.lang.Throwable cause)` |
    `static java.sql.SQLException` | `sqlException​(java.lang.Throwable t)` |
    `static java.sql.SQLException` | `sqlException​(org.hsqldb.HsqlException e)` |
    `static java.sql.SQLException` | `sqlException​(org.hsqldb.HsqlException e, java.lang.Throwable cause)` |
    `static java.sql.SQLException` | `sqlException​(org.hsqldb.result.Result r)` |
    `static java.sql.SQLException` | `sqlExceptionSQL​(int id)` |
    `static java.sql.SQLWarning` | `sqlWarning​(org.hsqldb.result.Result r)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCUtil

          public JDBCUtil()

  - ### Method Detail

    - #### sqlException

          public static java.sql.SQLException sqlException​(org.hsqldb.HsqlException e)

    - #### sqlException

          public static java.sql.SQLException sqlException​(org.hsqldb.HsqlException e,
                                                           java.lang.Throwable cause)

    - #### sqlException

          public static java.sql.SQLException sqlException​(int id)

    - #### sqlExceptionSQL

          public static java.sql.SQLException sqlExceptionSQL​(int id)

    - #### sqlException

          public static java.sql.SQLException sqlException​(int id,
                                                           java.lang.String message)

    - #### sqlException

          public static java.sql.SQLException sqlException​(int id,
                                                           java.lang.String message,
                                                           java.lang.Throwable cause)

    - #### sqlException

          public static java.sql.SQLException sqlException​(int id,
                                                           int add)

    - #### nullArgument

          public static java.sql.SQLException nullArgument()

    - #### invalidArgument

          public static java.sql.SQLException invalidArgument()

    - #### invalidArgument

          public static java.sql.SQLException invalidArgument​(java.lang.String name)

    - #### invalidArgument

          public static java.sql.SQLException invalidArgument​(int id)

    - #### outOfRangeArgument

          public static java.sql.SQLException outOfRangeArgument()

    - #### outOfRangeArgument

          public static java.sql.SQLException outOfRangeArgument​(java.lang.String name)

    - #### connectionClosedException

          public static java.sql.SQLException connectionClosedException()

    - #### sqlWarning

          public static java.sql.SQLWarning sqlWarning​(org.hsqldb.result.Result r)

    - #### sqlException

          public static java.sql.SQLException sqlException​(java.lang.Throwable t)

    - #### sqlException

          public static java.sql.SQLException sqlException​(org.hsqldb.result.Result r)

    - #### sqlException

          public static java.sql.SQLException sqlException​(java.lang.String msg,
                                                           java.lang.String sqlstate,
                                                           int code,
                                                           java.lang.Throwable cause)